Si comme moi lors d’une mise à jour d’Apache 2.2 vers Apache 2.4 vous rencontrez une erreur lors de l’activation d’un nouveau site : pas de panique, c’est normal !

Pour ma part, le bug est apparu lors de la mise à jour de ma distribution d’ubuntu de 13.04 vers 13.10.

Apache 2.4 : commande en erreur

[email protected] :/$ sudo a2ensite monsite
Error: Site monsite does not exist!

L’erreur provient du fait qu’Apache qui jusqu’à sa version 2.2 acceptait les fichiers décrivant les hôtes virtuels sans l’extension .conf. Désormais apache n’accepte plus ces fichiers, il faut obligatoirement qu’ils soient correctement nommés en .conf.

Bonne solution

La bonne solution pour faire fonctionner Apache 2.4 est de renommer vos fichiers de configuration en .conf.

[email protected] :/$ sudo mv /etc/apache2/sites-availables/monsite  /etc/apache2/sites-availables/monsite.conf
[email protected] :/$ sudo a2ensite monsite.conf
[email protected] :/$ sudo service apache2 restart

Et voila, le site est activé.

Mauvaise solution

En cherchant une correction à ce problème, j’ai trouvé sur le net l’idée de forcer Apache a accepter les fichiers sans extension en modifiant apache2.conf, ce qui permet de continuer à fonctionner comme avant.

Attention, cette solution de facilité est mauvaise, elle ne ferai que vous complaire dans une mauvaise pratique.

En savoir plus

Consulter la documentation de Apache 2.4Apache 2.4

Un article rédigé pour vous par Alex

Gérant & Directeur technique. "Spécialisé dans les métiers du web depuis plus de seize ans, il a créé l'agence web Keole en 2012. Architecte, Il analyse, synthétise et conceptualise les différents projets de l'agence depuis sa tour de contre-ordre." Spécialités : Touche à tout écervelé. Il aime : voir le verre à moitié plein | les cataclysmes, les volcans et les dinosaures | l'absurde | l'abîme. Il n'aime pas : ceux qui voient le verre à moitié vide | le repli sur soi | Dieu, s'il existait. Son idole : Laszlo Carreidas